Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 154248 - User defined mode is automatically removed
User defined mode is automatically removed
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
65fixes2-verified
:
Depends on: 134945
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 09:51 UTC by sreimers
Modified: 2009-02-19 22:53 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sreimers 2008-12-01 09:51:40 UTC
I have a special mode defined (type kind is editor) to group special topcomponents in an editormode. Due to the fix of
#134945 my mode gets removed, if the last topcomponent in the mode "editor" is closed. 

I think this is not appropriate. The fix for #134945 should only use modes named "anonymous_.*" to be used as the
"editor" mode not specific defined ohter modes. 

What I get is a null return from findMode() without the possibility to recreate my mode in a simple way.
Comment 1 Stanislav Aubrecht 2008-12-02 07:53:16 UTC
when the last component in the main 'editor' mode is closed then only an arbitrary non-permanent editor-type mode gets
converted to the main 'editor' mode.

4d8bb98cc04e
Comment 2 Quality Engineering 2008-12-03 05:57:55 UTC
Integrated into 'main-golden', will be available in build *200812030201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4d8bb98cc04e
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #154248 - user defined editor mode is automatically removed
Comment 3 Lukas Hasik 2009-01-09 15:38:21 UTC
sreimers, does the fix work for you? Please, verify.
Comment 4 Jaromir Uhrik 2009-01-12 17:00:45 UTC
Verified.
Comment 5 pgebauer 2009-01-13 15:49:17 UTC
The fix has been ported into the release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/06bcc6ff0843
Comment 6 Lukas Hasik 2009-01-16 12:32:23 UTC
verified in patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo